#2071 closed defect (wontfix)

The object-file suffixes for default-bsp-post-link in leaf.cfg don't work with make-exe...

Reported by: cynt6007 Owned by: Ralf Corsepius
Priority: normal Milestone: 6.1
Component: build Version: 4.11
Severity: major Keywords:
Cc: Blocked By:
Blocking:

Description (last modified by Sebastian Huber)

Would it be proper to change the suffix of the input in default-bsp-post-link in rtems/make/leaf.cfg ?

Namely changing:

define default-bsp-post-link

  • $(NM) -g -n $@ > $(basename $@).num
  • $(SIZE) $@

endef

define default-bsp-post-link
+ $(NM) -g -n $@.o > $(basename $@).num
+ $(SIZE) $@.o
endef

I'm working on the application side of RTEMS (as opposed to the source), but here are the errors I encountered, what I did to find the problem, and the results.

I kept getting errors when I ran the BuildTests?.sh...

~/rtems-addon-packages/examples/openldap$
...
i386-rtems4.11-nm o-optimize/slapd-addel
i386-rtems4.11-nm: 'o-optimize/slapd-addel': No such file
...
~/rtems-addon-packages/examples/openldap$
...
i386-rtems4.11-size o-optimize/slapd-addel
i386-rtems4.11-size: 'o-optimize/slapd-addel': No such file

After looking at the Makefile it looks like they were called by: “make-exe”.

Doing

grep -r “make-exe” /opt

revealed “make-exe” is defined in /opt/rtems-4.11/make/leaf.cfg, which calls bsp-post-link, (which is exactly the stage of the build process giving errors).

According to man, nm and size work on object files. So, I changed the suffixes in /opt/rtems-4.11/make/leaf.cfg and the errors went away. After making the change, the following additional objects appeared in o-optimize:

*.bin and *.ralf, with an approximate size of 570,000. The sizes vary slightly...

If changing the suffixes in /opt/rtems-4.11/make/leaf.cfg makes sense, would it make sense to change them for rtems/make/leaf.cfg ? Also, there are other target.cfg's in the different bsp s that may have similar problems.

Thanks,
Cynthia Rempel

Change History (6)

comment:1 Changed on Jun 21, 2012 at 4:26:35 PM by cynt6007

Would it be proper to change the suffix of the input in default-bsp-post-link in rtems/make/leaf.cfg ?

Namely changing:

define default-bsp-post-link

  • $(NM) -g -n $@ > $(basename $@).num
  • $(SIZE) $@

endef

define default-bsp-post-link
+ $(NM) -g -n $@.o > $(basename $@).num
+ $(SIZE) $@.o
endef

I'm working on the application side of RTEMS (as opposed to the source), but here are the errors I encountered, what I did to find the problem, and the results.

I kept getting errors when I ran the BuildTests?.sh...

~/rtems-addon-packages/examples/openldap$
...
i386-rtems4.11-nm o-optimize/slapd-addel
i386-rtems4.11-nm: 'o-optimize/slapd-addel': No such file
...
~/rtems-addon-packages/examples/openldap$
...
i386-rtems4.11-size o-optimize/slapd-addel
i386-rtems4.11-size: 'o-optimize/slapd-addel': No such file

After looking at the Makefile it looks like they were called by: “make-exe”.

Doing

grep -r “make-exe” /opt

revealed “make-exe” is defined in /opt/rtems-4.11/make/leaf.cfg, which calls bsp-post-link, (which is exactly the stage of the build process giving errors).

According to man, nm and size work on object files. So, I changed the suffixes in /opt/rtems-4.11/make/leaf.cfg and the errors went away. After making the change, the following additional objects appeared in o-optimize:

*.bin and *.ralf, with an approximate size of 570,000. The sizes vary slightly...

If changing the suffixes in /opt/rtems-4.11/make/leaf.cfg makes sense, would it make sense to change them for rtems/make/leaf.cfg ? Also, there are other target.cfg's in the different bsp s that may have similar problems.

Thanks,
Cynthia Rempel

comment:2 Changed on Jun 21, 2012 at 4:27:09 PM by cynt6007

Severity: normalmajor

comment:3 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

comment:4 Changed on Dec 18, 2014 at 11:14:45 AM by Sebastian Huber

Description: modified (diff)
Milestone: 4.115.0

comment:5 Changed on Aug 13, 2017 at 11:41:42 PM by Chris Johns

Resolution: wontfix
Status: newclosed

comment:6 Changed on Nov 9, 2017 at 6:26:42 AM by Sebastian Huber

Milestone: 5.06.1

Milestone renamed

Note: See TracTickets for help on using tickets.